## boswars 2.6.1

=== SConstruct ===
--- 
+++ 
@@ -8,7 +8,7 @@
 ##          This file is part of Bos Wars.
 ##
 ##      SConstruct build file. See http://www.scons.org for info about scons.
-##      (c) Copyright 2005-2007 by Francois Beerten
+##      (c) Copyright 2005-2009 by Francois Beerten
 ##
 ##      Stratagus is free software; you can redistribute it and/or modify
 ##      it under the terms of the GNU General Public License as published
@@ -31,7 +31,7 @@
 SConsignFile()
 
 def DefineOptions(filename, args):
-   opts = Options(filename, args)
+   opts = Variables(filename, args)
    opts.Add('CPPPATH', 'Additional preprocessor paths', ['/usr/local/include'])
    opts.Add('CPPFLAGS', 'Additional preprocessor flags')
    opts.Add('CPPDEFINES', 'defined constants', Split(''))
@@ -41,6 +41,7 @@
    opts.Add('LINKFLAGS', 'Linker Compiler flags')
    opts.Add('CC', 'C Compiler')
    opts.Add('CXX', 'C++ Compiler')
+   opts.Add('LINK', 'Linker')
    opts.Add('extrapath', 'Path to extra root directory for includes and libs', '')
    opts.Add('MINGWCPPPATH', 'Additional include path for crosscompilation', [])
    opts.Add('MINGWLIBPATH', 'Additional lib path for crosscompilation', [])
@@ -51,7 +52,7 @@
 env = Environment(ENV = {'PATH':os.environ['PATH']}) # for an unknown reason Environment(options=opts) doesnt work well
 opts.Update(env) # Needed as Environment(options=opts) doesnt seem to work
 Help(opts.GenerateHelpText(env))
-mingw = env.Copy()
+mingw = env.Clone()
 optionsChanged = True
 if os.path.exists('build_options.py'):
    os.rename('build_options.py', 'build_options_OLD_FOR_CHECK.py')
@@ -81,7 +82,7 @@
 sourcesEngine = buildSourcesList('build')
 
 def ParseConfig(env, command, function=None):
-    import string
+    import subprocess
 
     """
     Copied from the scons, copyright 2001-2004 The SCons Foundation.
@@ -89,7 +90,7 @@
     """
     # the default parse function
     def parse_conf(env, output):
-        dict = {
+        flags = {
            'ASFLAGS'       : [],
            'CCFLAGS'       : [],
            'CPPFLAGS'      : [],
@@ -100,39 +101,39 @@
         }
         static_libs = []
 
-        params = string.split(output)
+        params = output.split()
         for arg in params:
             if arg[0] != '-':
                 static_libs.append(arg)
             elif arg[:2] == '-L':
-                dict['LIBPATH'].append(arg[2:])
+                flags['LIBPATH'].append(arg[2:])
             elif arg[:2] == '-l':
-                dict['LIBS'].append(arg[2:])
+                flags['LIBS'].append(arg[2:])
             elif arg[:2] == '-I':
-                dict['CPPPATH'].append(arg[2:])
+                flags['CPPPATH'].append(arg[2:])
             elif arg[:4] == '-Wa,':
-                dict['ASFLAGS'].append(arg)
+                flags['ASFLAGS'].append(arg)
             elif arg[:4] == '-Wl,':
-                dict['LINKFLAGS'].append(arg)
+                flags['LINKFLAGS'].append(arg)
             elif arg[:4] == '-Wp,':
-                dict['CPPFLAGS'].append(arg)
+                flags['CPPFLAGS'].append(arg)
             elif arg == '-pthread':
-                dict['CCFLAGS'].append(arg)
-                dict['LINKFLAGS'].append(arg)
+                flags['CCFLAGS'].append(arg)
+                flags['LINKFLAGS'].append(arg)
             else:
-                dict['CCFLAGS'].append(arg)
-        apply(env.Append, (), dict)
+                flags['CCFLAGS'].append(arg)
+        apply(env.Append, (), flags)
         return static_libs
 
     if function is None:
         function = parse_conf
-    if type(command) is type([]):
-        command = string.join(command)
-    command = env.subst(command)
-    _, f, _ = os.popen3(command)
-    read = f.read()
-    exitcode = f.close()
-    if exitcode == None:
+    if type(command) is type(""):
+        command = [env.subst(i) for i in command.split()]
+    p = subprocess.Popen(command, shell=False, stdout=subprocess.PIPE,
+                         stderr=subprocess.PIPE)
+    read,_ = p.communicate()
+    exitcode = p.wait()
+    if exitcode == 0:
         return (0, function(env, read))
     else:
         return (exitcode, [])
@@ -168,40 +169,21 @@
 
 def CheckLuaLib(env, conf):
   if not 'USE_WIN32' in env['CPPDEFINES']:
-     if env.WhereIs('lua-config'):
-        env.ParseConfig('lua-config --include --libs')
-     elif env.WhereIs('pkg-config'):
+     if env.WhereIs('pkg-config'):
         for packagename in ['lua5.1', 'lua51', 'lua']:
-           exitcode, _ = ParseConfig(env, 'pkg-config --cflags --libs ' + packagename)
+           exitcode,_ = ParseConfig(env, 'pkg-config --cflags --libs ' + packagename)
            if exitcode == 0:
               break
-  found = 0
-  if conf.CheckLibWithHeader('lua', 'lua.h', 'c'):
-    found = 'lua'
-  if not found and conf.CheckLibWithHeader('lua50', 'lua.h', 'c'):
-    found = 'lua50'
-  if not found and conf.CheckLibWithHeader('lua5.0', 'lua.h', 'c'):
-    found = 'lua5.0'
-  if not found and conf.CheckLibWithHeader('lua51', 'lua.h', 'c'):
+  if conf.CheckLibWithHeader('lua51', 'lua.h', 'c'):
     return 1
-  if not found and conf.CheckLibWithHeader('lua5.1', 'lua.h', 'c'):
+  if conf.CheckLibWithHeader('lua5.1', 'lua.h', 'c'):
     return 1
-  if found == 0:
+  if not conf.CheckLibWithHeader('lua', 'lua.h', 'c'):
     return 0
-
-  lualibfound = 0
+  # make sure we have lualib which is included in lua 5.1
   if conf.CheckFunc('luaopen_base'):
      return 1
-  if conf.CheckLibWithHeader('lualib', 'lualib.h', 'c'):
-     lualibfound = 1
-  elif conf.CheckLibWithHeader('lualib50', 'lualib.h', 'c'):
-     lualibfound = 1
-  elif conf.CheckLibWithHeader('lualib5.0', 'lualib.h', 'c'):
-     lualibfound = 1
-  # the lua library should be after lualib
-  env["LIBS"].remove(found)
-  env.Append(LIBS = found)
-  return lualibfound and found != 0
+  return 0
 
 def AutoConfigure(env):
   conf = Configure(env)
@@ -282,7 +264,7 @@
 addBosWarsPaths(env)
 
 # define the different build environments (variants)
-release = env.Copy()
+release = env.Clone()
 release.Append(CCFLAGS = Split('-O2 -pipe -fomit-frame-pointer -fexpensive-optimizations -ffast-math'))
 
 if mingw['extrapath']:
@@ -301,17 +283,17 @@
 else:
   mingw = None
 
-debug = env.Copy()
+debug = env.Clone()
 debug.Append(CPPDEFINES = 'DEBUG')
 debug.Append(CCFLAGS = Split('-g -Wsign-compare -Wall -Werror'))
 
-profile = debug.Copy()
+profile = debug.Clone()
 profile.Append(CCFLAGS = Split('-pg'))
 profile.Append(LINKFLAGS = Split('-pg'))
 
 staticenv = None
 if sys.platform.startswith('linux'):
-   staticenv = release.Copy()
+   staticenv = release.Clone()
    staticlibs = 'lua lua50 lua5.0 lua5.1 lua51 lualib lualib50 lualib5.0 vorbis theora ogg'
    staticlibs = staticlibs.split(' ')
    linkflags = '-L. -static-libgcc -Wl,-Bstatic -lstdc++ '
@@ -337,3 +319,13 @@
 r = DefineVariant(release, 'release', '')
 Default(r)
 DefineVariant(debug, 'debug')
+DefineVariant(profile, 'profile')
+if staticenv:
+   stdlibcxx = staticenv.Command('libstdc++.a', None, 
+          Action('ln -sf `%s -print-file-name=libstdc++.a`' % staticenv['CXX']))
+   # staticenv.Append(LIBS = [stdlibcxx])   <= does not work with scons 0.96.1
+   prog = DefineVariant(staticenv, 'static')
+   staticenv.Depends(prog, stdlibcxx)
+if mingw:
+   DefineVariant(mingw, 'mingw', '.exe')
+
