=== debian/changelog ===
boswars (2.6.1-2) unstable; urgency=low

  * Switched to DH.
  * Enforce building with Lua 5.1, as requested by buildsys (Closes:
    #585672).
  * Removed KiBi from uploaders (requested by himself).
  * Stopped uselessly suggesting python (Closes: #568330).
  * Added patch from KiBi to add buildsys support to kfreebsd-*
    architectures (Closes: #585673).
  * Added patch from Kalle Olavi Niemitalo <kon@iki.fi> to disable SDL
    mouse relative mode causing problems with tablets and similar input
    devices (Closes: #559615).
  * Bumped Standards-Version to 3.9.0 (no changes).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 07 Jul 2010 03:45:44 +0200

boswars (2.6.1-1) unstable; urgency=low

  [ Barry deFreese]
  * Update Cyril Brulebois e-mail address.

  [ Marc Dequènes (Duck) ]
  * Added myself to Uploaders, with KiBi and bddebian's blessing.
  * New upstream release (Closes: #566119, #473673):
    - removed all patches, now obsolete (and patchsystem call).
  * Installed new map 'patches' directory in boswars-data.
  * Switched to dpkg-source 3.0 (quilt) format.
  * Bumped Standards-Version (no changes).
  * Added missing ${misc:Depends} for 'boswars-data'.
  * Switched compat level to 7 (switched to dh_prep in rules).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 08 Jun 2010 23:14:08 +0200

boswars (2.5-2) unstable; urgency=low

  [ Barry deFreese ]
  * 20_fix_ftbfs_with_gcc-4.4.diff - Build with gcc-4.4. (Closes: #505080).
    + Thanks to Martin Michlmayr for the fix!
  * debian/copyright: Add info for DeJavu files. (Closes: #528946).
  * Add myself to uploaders.
  * Bump Standards Version to 3.8.2. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Tue, 14 Jul 2009 11:51:52 -0400

boswars (2.5-1) unstable; urgency=low

  * New upstream release.
  * Update copyright and license information since that release is
    DFSG-compliant:
     - Not repacking anymore, “*.dll” files were removed from the upstream
       tarball:
        - Update debian/copyright accordingly.
        - Drop debian/README.Debian-source.
        - Drop the get-orig-source target and the UPSTREAM_VERSION
          variable from debian/rules.
        - Drop version mangling in debian/watch.
     - Mention in debian/copyright the mails from tolua++ and tolua
       authors, which agreed to switch to the lua license (MIT) for their
       software, included in this source package.
     - Update all other copyright and license information, while switching
       to the proposed machine-readable copyright format. Also point to
       the GPL-2 explicitely, since some parts are GPL-2 and some others
       are GPL-2+, as clarified by upstream in COPYRIGHT.txt, which gets
       fully quoted in debian/copyright.
  * Patches:
     - Drop 10_lua_const_char.diff, no longer relevant.
     - Add 10_fix_ftbfs_with_gcc-4.3.diff, which fixes missing includes
       and prevents FTBFS with gcc-4.3.
     - Make build-arch and build-indep depend on “patch” so that the
       series is actually applied.
  * debian/control: Make the first long description only contain full
    sentences.
  * debian/rules: Minor tweaks to the build system. Mostly: no longer ship
    makesame.py and updatepo.sh, they're deleted from the target directory
    along with genpot.sh.
  * debian/boswars-data.install: Replace “video” with “intro” to follow
    upstream's changes.
  * debian/boswars.6: Minor tweak. Mention needed work in debian/TODO.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Mon, 17 Mar 2008 02:59:28 +0100

boswars (2.4.1.dfsg-1) unstable; urgency=low

  [ Cyril Brulebois]
  * Initial release (Closes: #437382).
  * Repack because of included “.dll” files.
  * Notes:
     - Upstream says both lua5.0 and lua5.1 should be fine, hence the
       alternative in Build-Depends.
     - No menu icon yet, since upstream's .ico seems not to be representative
       of the game.
  * Add Homepage entry to debian/control, use Vcs-*.
  * Add get-orig-source target to debian/rules, based on Barry's, and a bit
    more generic (independent of the version number).
  * Copy and rename an icon from the source, to be used as desktop icon.
  * Bump Standards-Version to 3.7.3 (no change needed).
  * Remove unneeded configure* targets.
  * Add a TODO file (its current content is about desktop icon, and CFLAGS not
    being honoured).
  * Adjust the copyright file: Add copyright holders Francois Berteen and
    Jimmy Salmon to make sure (although they are members of the core team).
  * Add an explicit Build-Depends on pkg-config.
  * Add a Build-Depends on libtheora-dev, which is recommended but not
    required (and this is why its being missing wasn't spotted before).
  * Tweak UPSTREAM_VERSION handling to support binNMUs.

  [ Barry deFreese ]
  * New upstream release (from 2.4 to 2.4.1).
  * Add desktop file.
  * Remove dh_make comments from rules file.
  * New files: debian/ boswars.{dirs,install}, boswars-data.{dirs,install}.
  * Call dh_desktop.
  * Remove opengl=0 from scons build. (OpenGL support is now run-time option.)
  * Update -data package description.
  * Remove unnecessary files from binary package.
  * Add quilt patch system.
  * 10_lua_const_char.diff
    + Fix char* -> const char* issues in lua code.
  * Add README.Debian-source to describe repack.
  * Update watch file to mangle dfsg version.

  [ Paul Wise ]
  * Fix typo in debian/copyright

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Wed, 12 Dec 2007 04:05:05 +0100
