=== debian/control ===
Source: boswars
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Barry deFreese <bdefreese@debian.org>, Marc Dequènes (Duck) <Duck@DuckCorp.org>
Build-Depends: debhelper (>= 7.0.50), scons, libpng12-dev, libsdl1.2-dev, libvorbis-dev, liblua5.1-0-dev, pkg-config, libtheora-dev
Standards-Version: 3.9.0
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/boswars/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/boswars/?op=log
Homepage: http://www.boswars.org/

Package: boswars
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, boswars-data (= ${source:Version})
Description: futuristic real-time strategy game
 Bos Wars is a futuristic real-time strategy game. It is possible to play
 against human opponents over local network (LAN), internet, or against the
 computer.
 .
 OpenGL support is available as a run-time configuration option.

Package: boswars-data
Architecture: all
Depends: ${misc:Depends}
Description: Images, data, and music files for Bos Wars
 This package includes the images, data files, and music for the Bos Wars
 real-time-strategy game.
