## boswars 2.7

=== debian/changelog ===
boswars (2.7-1) unstable; urgency=low

  * New upstream release.
  * Removed following patches, now applied upstream:
    - buildsys_gnukfreebsd_support
    - sdl_disable_mouse_relative_mode
  * Adapted rules as final binary was relocated and renamed.
  * Updated copyright file.
  * Added hardening build flags, with a buildsys fix to merge flags
    correctly (buildsys_flags_fix.patch).
  * Bumped Standards-Version to 3.9.4 (no changes).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 18 Jun 2013 22:58:56 +0200
