=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Barry deFreese <bdefreese@debian.org>, Marc Dequènes (Duck) <Duck@DuckCorp.org>
 Build-Depends: debhelper (>= 7.0.50), scons, libpng12-dev, libsdl1.2-dev, libvorbis-dev, liblua5.1-0-dev, pkg-config, libtheora-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.4
 Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/boswars/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/boswars/?op=log
 Homepage: http://www.boswars.org/
