=== debian/rules ===
--- 
+++ 
@@ -1,19 +1,24 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-CCFLAGS=-DSTRATAGUS_LIB_PATH=\\\"/usr/share/games/boswars\\\"
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+export CCFLAGS:=$(shell dpkg-buildflags --get CFLAGS) -DSTRATAGUS_LIB_PATH=\"/usr/share/games/boswars\"
+export LINKFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 %:
 	dh $@
 
 override_dh_auto_build:
-	scons CCFLAGS=$(CCFLAGS)
+	scons CPPFLAGS='$(CPPFLAGS)' CCFLAGS='$(CCFLAGS)' LINKFLAGS='$(LINKFLAGS)'
 
 override_dh_auto_install:
 
 override_dh_install:
 	# Copy (and rename) an icon to be used as desktop file
 	cp units/tank/ico_tank.png debian/boswars.png
+	# rename binary
+	mv build/boswars-release build/boswars
 	# Default action
 	dh_install
 	# Remove unneeded files.
