=== debian/watch ===
version=3

http://www.boswars.org/download.shtml dist/releases/boswars-([0-9.]*)-src\.tar\.gz
