## boswars 2.7%2Bsvn160110

=== debian/rules ===
--- 
+++ 
@@ -9,16 +9,16 @@
 %:
 	dh $@
 
-override_dh_auto_build:
+override_dh_auto_build-arch:
 	scons CPPFLAGS='$(CPPFLAGS)' CCFLAGS='$(CCFLAGS)' LINKFLAGS='$(LINKFLAGS)'
+	# rename binary
+	mv build/boswars-release build/boswars
 
 override_dh_auto_install:
 
 override_dh_install:
 	# Copy (and rename) an icon to be used as desktop file
 	cp units/tank/ico_tank.png debian/boswars.png
-	# rename binary
-	mv build/boswars-release build/boswars
 	# Default action
 	dh_install
 	# Remove unneeded files.
@@ -27,13 +27,21 @@
 	done
 	rm -f debian/boswars/usr/share/doc/boswars/html/README-SDL.txt
 	rm -f debian/boswars/usr/share/doc/boswars/html/*copyright*
+	rm -f debian/boswars/usr/share/doc/boswars/html/gpl3.txt
 
-clean:
+override_dh_fixperms-indep:
+	dh_fixperms
+	chmod a-x debian/boswars-data/usr/share/games/boswars/campaigns/swindler/*
+	chmod a-x debian/boswars-data/usr/share/games/boswars/maps/tokelau.map/presentation.smp
+
+override_dh_clean:
+	dh_clean
 	scons -c
 	# Additional icon (see build-indep-stamp)
-	rm  -f debian/boswars.png
+	$(RM) debian/boswars.png
 	# Scons is stupid and leaves them behind no matter what.
-	rm  -f .sconsign.dblite
-	rm -rf .sconf_temp
-	rm  -f build_conf_cache.py build_options.py config.log
+	$(RM) .sconsign.dblite
+	$(RM) .sconf_temp
+	$(RM) build_conf_cache.py build_options.py config.log
+	$(RM) build/boswars
