## boswars 2.7+svn160110

=== SConstruct ===
--- 
+++ 
@@ -8,7 +8,7 @@
 ##          This file is part of Bos Wars.
 ##
 ##      SConstruct build file. See http://www.scons.org for info about scons.
-##      (c) Copyright 2005-2009 by Francois Beerten
+##      (c) Copyright 2005-2013 by Francois Beerten
 ##
 ##      Stratagus is free software; you can redistribute it and/or modify
 ##      it under the terms of the GNU General Public License as published
@@ -153,7 +153,7 @@
   if 'USE_WIN32' in env['CPPDEFINES']:
      glconfig = {'LIBS': ['opengl32']}
   else:
-     if sys.platform[:5] == 'linux':
+     if sys.platform[:5] == 'linux' or sys.platform.startswith('gnukfreebsd'):
         platform = 'linux'
      glconfig = opengl.get(platform, {})
   for key in glconfig:
@@ -292,7 +292,7 @@
 profile.Append(LINKFLAGS = Split('-pg'))
 
 staticenv = None
-if sys.platform.startswith('linux'):
+if sys.platform.startswith('linux') or sys.platform.startswith('gnukfreebsd'):
    staticenv = release.Clone()
    staticlibs = 'lua lua50 lua5.0 lua5.1 lua51 lualib lualib50 lualib5.0 vorbis theora ogg'
    staticlibs = staticlibs.split(' ')
@@ -312,11 +312,11 @@
    if vv == None:
       vv = '-' + v
    BuildDir('build/' + v, engineSourceDir, duplicate = 0)
-   r = venv.Program('boswars' + vv, buildSourcesList('build/' + v))
+   r = venv.Program('build/boswars' + vv, buildSourcesList('build/' + v))
    Alias(v, 'boswars' + vv)
    return r 
 
-r = DefineVariant(release, 'release', '')
+r = DefineVariant(release, 'release')
 Default(r)
 DefineVariant(debug, 'debug')
 DefineVariant(profile, 'profile')
