=== debian/changelog ===
boswars (2.7+svn160110-5) unstable; urgency=medium

  [ Reiner Herrmann ]
  * Team upload.
  * Fix build with Python3-enabled scons versions (Closes: #947554)
  * Extend description of data package.
  * Update debhelper compat to 12.
  * Replace broken png image.
    Thanks to Alexander Kuznetsov and Steve the Fiddle for providing
    fixed versions. (Closes: #927916, #944900)
  * Update Standards-Version to 4.5.0:
    - declare that d/rules does not require root

 -- Markus Koschany <apo@debian.org>  Sun, 02 Feb 2020 19:52:49 +0100

boswars (2.7+svn160110-4) unstable; urgency=medium

  * Fixed VCS URLs (mistake in previous upload).
  * Added multiarch information.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Mon, 16 Apr 2018 10:02:19 +0900

boswars (2.7+svn160110-3) unstable; urgency=medium

  * Updated VCS URLs (Alioth->Salsa).
  * Use HTTPS URLs in Debian metadata.
  * Reworked copyright file to use the DEP-5 format V1.0, and updated
    copyright info for Debian contributions.
  * Bumped Standards-Version.
  * Priority 'extra' is deprecated, switch to 'optional'.
  * Bump debhelper compatibility level to 11.
  * Only call Scons in clean rule if generated files remain.
  * Unapply patches after build.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Thu, 12 Apr 2018 17:08:06 +0900

boswars (2.7+svn160110-2) unstable; urgency=medium

  * Team upload.
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 4.0.0.
  * Drop deprecated menu file and xpm. Remove imagemagick from Build-Depends,
    no longer needed.
  * Add reproducible-build.patch and make the build reproducible.
    Thanks to Reiner Herrmann for the report and patch. (Closes: #827112)

 -- Markus Koschany <apo@debian.org>  Sun, 16 Jul 2017 16:04:03 +0200

boswars (2.7+svn160110-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 2.7+svn160110.
    - Fixes various display issues with libpng16.
  * wrap-and-sort -sa.
  * Remove liblua5.1-dev from Build-Depends again.
  * debian/rules: Convert clean target into dh_clean override and ensure the
    package can be built twice in a row.

 -- Markus Koschany <apo@debian.org>  Sun, 17 Jan 2016 21:01:53 +0100

boswars (2.7-2) unstable; urgency=medium

  * Team upload.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Markus Koschany ]
  * Use compat level 9 and require debhelper >= 9.
  * Declare compliance with Debian Policy 3.9.6.
  * Switch from B-D libpng12-dev to libpng-dev. (Closes: #662276)
  * Add liblua5.1-dev to Build-Depends.
  * debian/control: Add imagemagick to Build-Depends-Indep.
  * debian/rules: Convert desktop file icon to boswars.xpm and use it as menu
    icon. Install it with boswars-data.install to /usr/share/pixmaps.
  * Update boswars.menu. Add longtitle and icon entry. (Closes: #726214)
  * Remove extra license file from /usr/share/doc and fix Lintian warning.
  * Fix Lintian warning executable-not-elf-or-script in dh_fixperms override.
  * Rename boswars binary in dh_auto_build-arch override to prevent a FTBFS
    with source only uploads.

 -- Markus Koschany <apo@debian.org>  Thu, 26 Nov 2015 23:41:07 +0100
