=== debian/control ===
Source: boswars
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Barry deFreese <bdefreese@debian.org>,
 Marc Dequènes (Duck) <Duck@DuckCorp.org>
Build-Depends:
 debhelper-compat (= 12),
 liblua5.1-0-dev,
 libpng-dev,
 libsdl1.2-dev,
 libtheora-dev,
 libvorbis-dev,
 pkg-config,
 scons
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/games-team/boswars
Vcs-Git: https://salsa.debian.org/games-team/boswars.git
Homepage: https://www.boswars.org/

Package: boswars
Architecture: any
Depends:
 boswars-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: futuristic real-time strategy game
 Bos Wars is a futuristic real-time strategy game. It is possible to play
 against human opponents over local network (LAN), internet, or against the
 computer.
 .
 OpenGL support is available as a run-time configuration option.

Package: boswars-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: Images, data, and music files for Bos Wars
 Bos Wars is a futuristic real-time strategy game. It is possible to play
 against human opponents over local network (LAN), internet, or against the
 computer.
 .
 This package includes the images, data files, and music for the Bos Wars
 real-time-strategy game.
