=== debian/rules ===
--- 
+++ 
@@ -16,18 +16,23 @@
 
 override_dh_auto_install:
 
-override_dh_install:
+override_dh_install-arch:
 	# Copy (and rename) an icon to be used as desktop file
 	cp units/tank/ico_tank.png debian/boswars.png
 	# Default action
-	dh_install
+	dh_install --arch
+	rm -f debian/boswars/usr/share/doc/boswars/html/README-SDL.txt
+	rm -f debian/boswars/usr/share/doc/boswars/html/*copyright*
+	rm -f debian/boswars/usr/share/doc/boswars/html/gpl3.txt
+
+override_dh_install-indep:
+	dh_install --indep
 	# Remove unneeded files.
 	for i in genpot.sh makesame.py updatepo.sh ; do \
 		rm -f debian/boswars-data/usr/share/games/boswars/languages/$$i ; \
 	done
-	rm -f debian/boswars/usr/share/doc/boswars/html/README-SDL.txt
-	rm -f debian/boswars/usr/share/doc/boswars/html/*copyright*
-	rm -f debian/boswars/usr/share/doc/boswars/html/gpl3.txt
+	# Replace broken terrain.png
+	cp debian/antarticum-terrain.png debian/boswars-data/usr/share/games/boswars/maps/antarticum.map/terrain.png
 
 override_dh_fixperms-indep:
 	dh_fixperms
@@ -36,7 +41,7 @@
 
 override_dh_clean:
 	dh_clean
-	scons -c
+	[ ! -f .sconsign.dblite ] || scons -c
 	# Additional icon (see build-indep-stamp)
 	$(RM) debian/boswars.png
 	# Scons is stupid and leaves them behind no matter what.
@@ -44,4 +49,3 @@
 	$(RM) .sconf_temp
 	$(RM) build_conf_cache.py build_options.py config.log
 	$(RM) build/boswars
-
