## boswars 2.8

=== debian/changelog ===
boswars (2.8-2) unstable; urgency=medium

  * FTBFS: redo split -arch vs -any,
    add an explicit dependency on python3:any (Closes: #1040763)

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sun, 09 Jul 2023 21:49:11 +0200

boswars (2.8-1) unstable; urgency=medium

  * Team upload.
  * Support for SCons has been removed upstream, drop SCons-related patches.
  * The new build system is based on fabricate.py.
  * Update standards version to 4.6.2, no changes needed.
  * watch file: declare compatibility with v4
  * the broken .png has been fixed upstream, remove our copy
  * lintian: ignore typos we cannot do anything about
  * languages/: do not install and then delete these 3 extraneous files
  * trim d/rules by using standard buildflags.mk

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sat, 08 Jul 2023 04:20:53 +0200
