=== debian/control ===
--- 
+++ 
@@ -6,15 +6,16 @@
  Barry deFreese <bdefreese@debian.org>,
  Marc Dequènes (Duck) <Duck@DuckCorp.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
+Build-Depends-Arch:
+ python3:any,
  liblua5.1-0-dev,
  libpng-dev,
  libsdl1.2-dev,
  libtheora-dev,
  libvorbis-dev,
- pkg-config,
- scons
-Standards-Version: 4.5.0
+ pkgconf,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/games-team/boswars
 Vcs-Git: https://salsa.debian.org/games-team/boswars.git
