=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/buildflags.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DATA = -DSTRATAGUS_LIB_PATH=\"/usr/share/games/boswars\"

%:
	dh $@

# https://codeberg.org/boswars/boswars/wiki/PackagingTips
override_dh_auto_build-arch:
	# https://codeberg.org/boswars/boswars/commit/5cb645f8c55b536f0027314aac9216a200315708
	sed -i '/os.stat_float_times/d' fabricate.py
	./make.py cflags="$(CPPFLAGS) $(CFLAGS) $(DATA)" ldflags="$(LDFLAGS)"

execute_after_dh_install-arch:
	# Copy (and rename) an icon to be used as desktop file
	mkdir -p debian/boswars/usr/share/pixmaps/
	cp units/tank/ico_tank.png debian/boswars/usr/share/pixmaps/boswars.png
	rm -f debian/boswars/usr/share/doc/boswars/html/README-SDL.txt
	rm -f debian/boswars/usr/share/doc/boswars/html/*copyright*
	rm -f debian/boswars/usr/share/doc/boswars/html/gpl3.txt

execute_after_dh_install-indep:
	# https://codeberg.org/boswars/boswars/commit/4586e5a8bd120ab1168100e459e6991420c9e24b
	iconv -f ISO-8859-1 -t UTF-8 units/corpses/unit-corpses.lua -o debian/boswars-data/usr/share/games/boswars/units/corpses/unit-corpses.lua
	iconv -f ISO-8859-1 -t UTF-8 units/gturret/unit-gturret.lua -o debian/boswars-data/usr/share/games/boswars/units/gturret/unit-gturret.lua
